package com.sheep.gamegroup.model.entity;

import com.sheep.gamegroup.absBase.AbsFocus;

/**
 * Created by realicing on 2018/11/22.
 * realicing@sina.com
 * 小绵羊3.4.5新增--用户关注的游戏
 */
public class UserFocusGame extends AbsFocus {
    private int CreateTime;

    private Applications applications;

    private int focus_game_id;

    private int id;

    private int user_id;

    public void setCreateTime(int CreateTime){
        this.CreateTime = CreateTime;
    }
    public int getCreateTime(){
        return this.CreateTime;
    }
    public void setApplications(Applications applications){
        this.applications = applications;
    }
    public Applications getApplications(){
        return this.applications;
    }
    public void setFocus_game_id(int focus_game_id){
        this.focus_game_id = focus_game_id;
    }
    public int getFocus_game_id(){
        return this.focus_game_id;
    }
    public void setId(int id){
        this.id = id;
    }
    public int getId(){
        return this.id;
    }
    public void setUser_id(int user_id){
        this.user_id = user_id;
    }
    public int getUser_id(){
        return this.user_id;
    }

    @Override
    public int getTheFocusId() {
        return focus_game_id;
    }
}
